Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

planId
string<uuid>
required
read-only

The plan UUID. Universally Unique Identifier.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"cd4ce4e3-0208-4b10-b346-25f235214e4f"

webhookId
string<uuid>
required
read-only

The webhook UUID. Universally Unique Identifier.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"cd4ce4e3-0208-4b10-b346-25f235214e4f"

Body

application/json

The webhook for update.

url
string<uri>
required

The secure webhook URL (must be https).

Example:

"https://mydomain.com/webhooks"

headers
object

A map of header key-value pairs.

Example:
withPlan
boolean
default:false

Specifies whether we should also provide the plan in the webhook's payload.

Example:

true

active
boolean
default:true

Specifies whether the webhook is active or not.

Example:

false

Response

The updated webhook.

item
object
agencyId
string
read-only

The agency id.

Pattern: ^BLD[0-9]{7}_[a-zA-Z0-9-._~:@!$,]+$
Example:

"BLD1234567_production"

planId
string<uuid>
read-only

The plan id.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"4cbd0ab8-282c-4b30-b981-29e1ed8a2016"